Name: pam_passwdqc
Version: 0.7.5
Release: alt2

Summary: Pluggable password quality checker
License: LGPL/BSD-compatible
Group: System/Base
Url: http://www.openwall.com/passwdqc/

Source: ftp://ftp.openwall.com/pub/projects/pam/modules/%name/%name-%version.tar.bz2
Patch1: %name-0.7.3-alt-openpam.patch
Patch2: %name-0.7.5-alt-warnings.patch

# Automatically added by buildreq on Tue Oct 07 2003
BuildRequires: libpam-devel

%set_pam_name %name

%package -n %pam_name
Summary: Pluggable password quality checker
License: LGPL/BSD-compatible
Group: System/Base
Provides: %name = %version-%release
Obsoletes: %name

%description
%name is a simple password strength checking module for
PAM-aware password changing programs, such as passwd(1).
In addition to checking regular passwords, it offers support
for passphrases and can provide randomly generated passwords.
All features are optional and can be (re-)configured without
rebuilding.

%description -n %pam_name
%name is a simple password strength checking module for
PAM-aware password changing programs, such as passwd(1).
In addition to checking regular passwords, it offers support
for passphrases and can provide randomly generated passwords.
All features are optional and can be (re-)configured without
rebuilding.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%make_build CFLAGS="$RPM_OPT_FLAGS -Werror -W -fPIC -DPIC -DHAVE_SHADOW"

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

%__chmod a-x $RPM_BUILD_ROOT/lib/security/*.so*
%add_findprov_lib_path /lib/security

%files -n %pam_name
/lib/security/*
%_mandir/man?/*
%doc LICENSE README PLATFORMS

%changelog
* Fri Jan 02 2004 Dmitry V. Levin <ldv@altlinux.org> 0.7.5-alt2
- Deal with compilation warnings generated by new gcc compiler.

* Sun Nov 09 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.5-alt1
- Updated to 0.7.5.

* Tue Oct 07 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.4-alt1
- Updated to 0.7.4.

* Thu Jun 05 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.3-alt2
- Fixed build with OpenPAM.
- Added Linux-PAM/OpenPAM multi-build support.

* Wed Mar 05 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.3-alt1
- Updated to 0.7.3, alt-makefile patch merged upstream:
  * Thu Oct 31 2002 Solar Designer <solar@owl.openwall.com>
  - When compiling with gcc, also link with gcc.
  - Use $(MAKE) to invoke sub-makes.
  * Fri Oct 04 2002 Solar Designer <solar@owl.openwall.com>
  - Solaris 9 notes in PLATFORMS.

* Tue Sep 24 2002 Dmitry V. Levin <ldv@altlinux.org> 0.7.1-alt1
- Updated to 0.7.1:
  * Wed Sep 18 2002 Solar Designer <solar@owl.openwall.com>
  - Build with Sun's C compiler cleanly, from Kevin Steves.
  - Use install -c as that actually makes a difference on at least HP-UX
  (otherwise install would possibly move files and not change the owner).
  * Fri Sep 13 2002 Solar Designer <solar@owl.openwall.com>
  - Have the same pam_passwdqc binary work for both trusted and non-trusted
  HP-UX, from Kevin Steves.
  * Fri Sep 06 2002 Solar Designer <solar@owl.openwall.com>
  - Use bigcrypt() on HP-UX whenever necessary, from Kevin Steves of Atomic
  Gears LLC.
  - Moved the old password checking into a separate function.

* Mon Aug 05 2002 Dmitry V. Levin <ldv@altlinux.org> 0.6-alt1
- 0.6:
  * Sat Jul 27 2002 Solar Designer <solar@owl.openwall.com>
  - Documented that the man page is under the 3-clause BSD-style license.
  * Tue Jul 23 2002 Solar Designer <solar@owl.openwall.com>
  - Applied minor corrections to the man page and at the same time eliminated
  unneeded/unimportant differences between it and the README.
  * Sun Jul 21 2002 Solar Designer <solar@owl.openwall.com>
  - 0.5.1: imported the pam_passwdqc(8) manual page back from FreeBSD.
  * Tue Apr 16 2002 Solar Designer <solar@owl.openwall.com>
  - 0.5: preliminary OpenPAM (FreeBSD-current) support in the code and related
  code cleanups (thanks to Dag-Erling Smorgrav).

* Thu Dec 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.4-alt3
- Rebuilt (to fix documentation permissions).

* Tue Nov 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.4-alt2
- Corrected Url (thanx to Solar for the hint).

* Sun Nov 04 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.4-alt1
- 0.4

* Fri Feb 02 2001 Dmitry V. Levin <ldv@fandra.org> 0.3-ipl1
- RE adaptions.

* Mon Oct 30 2000 Solar Designer <solar@owl.openwall.com>
- 0.3: portability fixes (this might build on non-Linux-PAM now).

* Fri Sep 22 2000 Solar Designer <solar@owl.openwall.com>
- 0.2: added "use_authtok", added README.

* Fri Aug 18 2000 Solar Designer <solar@owl.openwall.com>
- 0.1, "retry_wanted" bugfix.

* Sun Jul 02 2000 Solar Designer <solar@owl.openwall.com>
- Initial version (non-public).
